Flecs: Types
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Classes | Functions
Types
C++ API » Core

Type operations. More...

Collaboration diagram for Types:

## Classes
struct | flecs::type
| Type class. More...

## Functions
| flecs::type::type (world_t *world, const type_t *t)
flecs::string | flecs::type::str () const
| Convert type to comma-separated string.
int32_t | flecs::type::count () const
| Return number of ids in type.
flecs::id_t * | flecs::type::array () const
| Return pointer to array.
flecs::id | flecs::type::get (int32_t index) const
| Get id at specified index in type.
flecs::id_t * | flecs::type::begin () const
flecs::id_t * | flecs::type::end () const
| flecs::type::operator const type_t * () const
| Implicit conversion to type_t.

## Detailed Description

Type operations.

## Function Documentation

## ◆ array()

flecs::id_t * flecs::type::array | ( |  | ) | const
| inline

Return pointer to array.

Definition at line 42 of file type.hpp.

## ◆ begin()

flecs::id_t * flecs::type::begin | ( |  | ) | const
| inline

Definition at line 59 of file type.hpp.

## ◆ count()

int32_t flecs::type::count | ( |  | ) | const
| inline

Return number of ids in type.

Definition at line 34 of file type.hpp.

## ◆ end()

flecs::id_t * flecs::type::end | ( |  | ) | const
| inline

Definition at line 63 of file type.hpp.

## ◆ get()

flecs::id flecs::type::get | ( | int32_t | index | ) | const
| inline

Get id at specified index in type.

Definition at line 50 of file type.hpp.

## ◆ operator const type_t *()

flecs::type::operator const type_t * | ( |  | ) | const
| inline

Implicit conversion to type_t.

Definition at line 68 of file type.hpp.

## ◆ str()

flecs::string flecs::type::str | ( |  | ) | const
| inline

Convert type to comma-separated string.

Definition at line 29 of file type.hpp.

## ◆ type() [1/2]

flecs::type::type | ( |  | ) |
| inline

Definition at line 22 of file type.hpp.

## ◆ type() [2/2]

flecs::type::type | ( | world_t * | world,
|  | const type_t * | t )
| inline

Definition at line 24 of file type.hpp.